[Ovirt-devel] [PATCH node] Removes the error message when a file is persisted twice.

Darryl L. Pierce dpierce at redhat.com
Wed May 27 21:19:45 UTC 2009


If the script detects that a file was previously persisted then
bindmounted, then it just quietly continues rather than reporting it as
an error.

Signed-off-by: Darryl L. Pierce <dpierce at redhat.com>
---
 scripts/ovirt-functions |    4 +---
 scripts/persist         |    1 -
 2 files changed, 1 insertions(+), 4 deletions(-)

diff --git a/scripts/ovirt-functions b/scripts/ovirt-functions
index 25a6bab..5997a4c 100755
--- a/scripts/ovirt-functions
+++ b/scripts/ovirt-functions
@@ -435,9 +435,7 @@ ovirt_store_config() {
                 continue
             fi
             # skip if already bind-mounted
-            if grep -q " $f ext3" /proc/mounts ; then
-                printf " Skipping, file already persisted\n"
-            else
+            if ! grep -q " $f ext3" /proc/mounts ; then
                 mkdir -p /config$(dirname $f)
                 cp -a $f /config$f \
                 && mount -n --bind /config$f $f
diff --git a/scripts/persist b/scripts/persist
index 85a022e..3e39ecc 100755
--- a/scripts/persist
+++ b/scripts/persist
@@ -34,4 +34,3 @@ die() { warn "$*"; help; exit 1; }
 if [ $# -eq 0 ]; then die "You need to specify at least one file."; fi
 
 ovirt_store_config $*
-
-- 
1.6.0.6




More information about the ovirt-devel mailing list